<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LeaseCredit StructType
 * @subpackage Structs
 */
class LeaseCredit extends FinancialTransactionHeader
{
    /**
     * The creditGroupId
     * Meta information extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $creditGroupId;
    /**
     * Constructor method for LeaseCredit
     * @uses LeaseCredit::setCreditGroupId()
     * @param string $creditGroupId
     */
    public function __construct($creditGroupId = null)
    {
        $this
            ->setCreditGroupId($creditGroupId);
    }
    /**
     * Get creditGroupId value
     * @return string|null
     */
    public function getCreditGroupId()
    {
        return $this->creditGroupId;
    }
    /**
     * Set creditGroupId value
     * @param string $creditGroupId
     * @return \StructType\LeaseCredit
     */
    public function setCreditGroupId($creditGroupId = null)
    {
        // validation for constraint: string
        if (!is_null($creditGroupId) && !is_string($creditGroupId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($creditGroupId, true), gettype($creditGroupId)), __LINE__);
        }
        $this->creditGroupId = $creditGroupId;
        return $this;
    }
}
